{{- if .Values.watchdog.enabled }}
apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "redis-ha.fullname" . }}-test-connection-backend"
  labels:
    {{- include "redis-ha.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": test
spec:
  containers:
    - name: wget
      image: busybox
      command: ['wget']
      args: ['{{ include "redis-ha.fullname" . }}-watchdog:{{ .Values.watchdog.service.port }}/info']
  restartPolicy: Never
{{- end }}
